[Debian-live-changes] r1165 - dists/trunk/live-helper/helpers

Daniel Baumann daniel at alioth.debian.org
Wed Apr 25 15:48:41 UTC 2007


Author: daniel
Date: 2007-04-25 15:48:41 +0000 (Wed, 25 Apr 2007)
New Revision: 1165

Added:
   dists/trunk/live-helper/helpers/lh_binary_installer
Log:


Added: dists/trunk/live-helper/helpers/lh_binary_installer
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_installer	2007-04-25 15:48:22 UTC (rev 1164)
+++ dists/trunk/live-helper/helpers/lh_binary_installer	2007-04-25 15:48:41 UTC (rev 1165)
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# lh_binary_installer(1) - install debian-installer into binary
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+	. ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="install debian-installer into binary"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/common
+Read_conffile config/image
+Set_defaults
+
+if [ "${LIVE_INSTALLER}" != "enabled" ]
+then
+	exit 0
+fi
+
+Breakpoint "binary_installer: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_installer
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Setting destination directory
+case "${LIVE_BINARY_IMAGE}" in
+	iso)
+		DESTDIR="binary/install"
+		;;
+
+	net)
+		DESTDIR="tftpboot"
+		;;
+
+	usb|hdd)
+		DESTDIR="binary"
+		;;
+esac
+
+# Temporary check for broken syslinux
+if [ "${LIVE_BINARY_IMAGE}" = "iso" ]
+then
+	# Assemble multi-arch
+	if [ -n "${MULTIARCH}" ]
+	then
+		case "${LIVE_ARCHITECTURE}" in
+			i386)
+				DESTDIR="${DESTDIR}.386"
+				;;
+		esac
+	fi
+fi
+
+# Downloading debian-installer
+mkdir -p "${DESTDIR}"
+
+wget --no-clobber -O "${DESTDIR}"/vmlinuz "${LIVE_MIRROR_BUILD}"/dists/"${LIVE_DISTRIBUTION}"/main/installer-"${LIVE_ARCHITECTURE}"/current/images/cdrom/vmlinuz
+wget --no-clobber -O "${DESTDIR}"/initrd.gz "${LIVE_MIRROR_BUILD}"/dists/"${LIVE_DISTRIBUTION}"/main/installer-"${LIVE_ARCHITECTURE}"/current/images/cdrom/initrd.gz
+
+# Downloading graphical-installer
+if [ "${LIVE_ARCHITECTURE}" = "amd64" ] || [ "${LIVE_ARCHITECTURE}" = "i386" ] || [ "${LIVE_ARCHITECTURE}" = "powerpc" ]
+then
+	mkdir -p "${DESTDIR}"/gtk
+
+	wget --no-clobber -O "${DESTDIR}"/gtk/vmlinuz "${LIVE_MIRROR_BUILD}"/dists/"${LIVE_DISTRIBUTION}"/main/installer-"${LIVE_ARCHITECTURE}"/current/images/cdrom/gtk/vmlinuz
+	wget --no-clobber -O "${DESTDIR}"/gtk/initrd.gz "${LIVE_MIRROR_BUILD}"/dists/"${LIVE_DISTRIBUTION}"/main/installer-"${LIVE_ARCHITECTURE}"/current/images/cdrom/gtk/initrd.gz
+fi
+
+# Creating stage file
+Create_stagefile .stage/binary_installer


Property changes on: dists/trunk/live-helper/helpers/lh_binary_installer
___________________________________________________________________
Name: svn:executable
   + *




More information about the Debian-live-changes mailing list